import { HTMLAttributes, ReactNode } from 'react';
import { VariantProps } from 'class-variance-authority';
declare const alertVariants: (props?: ({
    tone?: "danger" | "success" | "warning" | "info" | null | undefined;
} & import('class-variance-authority/types').ClassProp) | undefined) => string;
export type AlertProps = HTMLAttributes<HTMLDivElement> & VariantProps<typeof alertVariants> & {
    title?: ReactNode;
    action?: ReactNode;
    icon?: ReactNode;
};
export declare const Alert: import('react').ForwardRefExoticComponent<HTMLAttributes<HTMLDivElement> & VariantProps<(props?: ({
    tone?: "danger" | "success" | "warning" | "info" | null | undefined;
} & import('class-variance-authority/types').ClassProp) | undefined) => string> & {
    title?: ReactNode;
    action?: ReactNode;
    icon?: ReactNode;
} & import('react').RefAttributes<HTMLDivElement>>;
export {};
